﻿using System;
using System.Collections;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Xml.Linq;

/// <summary>
/// Summary description for WebPersonService
/// </summary>
[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
// To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
// [System.Web.Script.Services.ScriptService]
public class WebPersonService : System.Web.Services.WebService {

    public WebPersonService () {

        //Uncomment the following line if using designed components 
        //InitializeComponent(); 
    }

    [WebMethod]
    public string HelloWorld() {
        return "Hello World";
    }
    [WebMethod(true)]
    public bool OpretPersoner()
    {
        Person[] p = new Person[2];
        p[0] = new Person(1, "Bjørk", "Busch");
        p[1] = new Person(2, "Susanne", "Funch");
        Application["Personer"] = p;
        return true;
    }
    [WebMethod(true)]
    public Person[] GetPersoner()
    {
        if (Application["Personer"] == null) return new Person[0];
        Person[] p = Application["Personer"] as Person[];
        return p;
    }

    
}

